from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSubTotalDescriptor(XInterface, Protocol):
    def addNew(self, aSubTotalColumns: SubTotalColumn >, nGroupColumn: int) -> None: ...
    def clear(self) -> None: ...
